"use strict";

const errors = require("../errors");
const getValueType = require("../util/get-value-type");

module.exports = function createBooleanValidatorFunction(_options = {}) {
	return function validateBoolean(value) {
		if (typeof value !== "boolean") {
			return new errors.ValidationError(`Expected a boolean, got ${getValueType(value)} instead`);
		} else {
			return true;
		}
	};
};
