"use strict";

const errors = require("../errors");
const getValueType = require("../util/get-value-type");

module.exports = function createNullValidatorFunction(_options = {}) {
	return function validateNull(value) {
		if (value !== null) {
			return new errors.ValidationError(`Expected null, got ${getValueType(value)} instead`);
		} else {
			return true;
		}
	};
};
